#ifndef plugin_customstatusH
#define plugin_customstatusH

#include <windows.h>

typedef struct {

 int structSize;		//wielko struktury w bajtach

 int StateID;                   //ID stanu - liczba porzadkowa
 TlenSingleImageDef Icon;        //Definicja ikonki odpowiadajacej
 char *StateName;               //Nazwa stanu przedstawiana w okienku

} TlenStatusTextStateDef;

typedef struct {

 int structSize;		//wielko struktury w bajtach

 int ItemID;                    //uywane przy kasowaniu.

 int StateID;                   //ID stanu uzytego przez dany Item

 char *Name;                    //Nazwa stanu przedstawiana w okienku
 char *StatusText;              //tekst stanu opisowego

 int TimeStamp;                 //Pod ktem GG - kiedy wrc

} TlenStatusTextItemDef;

typedef struct {

 int structSize;		//wielko struktury w bajtach

 char *ProtocolID;

 int ShowState;                 //Ktora ikonke zaznaczyc
 char *StatusText;
 char *StatusName;
 int TimeStamp;                 //Z mysla o GG...

 int StatusTextMaxLen;          //Maksymalna dugo stanu jak mona ustawi

 TlenStatusTextStateDef *States; //mozliwe stany
 int StatesCount;

 TlenStatusTextItemDef *Items;   //lista stanow opisowych
 int ItemsCount;

 int Flags;

} TlenStatusTextWindowInfoDef;

#define STATUSTEXT_SHOWWINDOWFLAG_SHOWDATETIME          0x0001 //da moliwo wyboru daty i czasu (vide GG)

#define TLEN_STATUSTEXT_SHOWWINDOW     "Tlen/StatusText/ShowWindow"
//WPARAM TlenStatusTextWindowInfoDef*

//LPARAM 0 - kliknito ok, 1 - kliknito anuluj
#define PF_STATUSTEXT_SET              "PFStatusTextSet"

#define PF_STATUSTEXT_ITEMCHANGED      "PFStatusTextListChanged"

//WPARAM:
#define STATUSTEXT_ITEMCHANGED_ADD              1
#define STATUSTEXT_ITEMCHANGED_REMOVE           2
#define STATUSTEXT_ITEMCHANGED_CHANGE           3
//LPARAM: TlenStatusTextItemDef* (wane jest ItemIndex - index 0 based na licie

#endif
